#ifndef __NETMODED_H
#define __NETMODED_H

#include <stdio.h>

#define LOG_DEBUG 1
#define LOG_NOTICE 2
#define LOG_WARNING 3
#define LOG_ERROR 4
#define LOG_NONE 5


#define NETMODE_UBUS_OBJECT(_name, _methods) \
{ \
	.name = _name, \
	.type = &(struct ubus_object_type) \
	UBUS_OBJECT_TYPE(_name, _methods), \
	.methods = _methods, \
	.n_methods = ARRAY_SIZE(_methods) \
}

#define DEBUG(LEVEL, fmt, ...) if (LEVEL >= LOG_LEVEL) { \
		fprintf(stdout, "%s:%d: " fmt "\n", \
			__func__,  __LINE__, ##__VA_ARGS__); \
	}

#define ERROR(fmt, ...) if (LOG_LEVEL <=  LOG_ERROR) {\
		fprintf(stderr, "ERROR: %s:%d: " fmt "\n", \
				__func__,  __LINE__, ##__VA_ARGS__); \
	}

extern int LOG_LEVEL;
struct wifi_iface {
	char *ssid;
	char *encryption;
	char *key;
	char *band;
};

struct radio {
	char ifname[16];
	struct list_head list;
};

#endif /* __NETMODED_H */
